Bug 130953 - ssl non-functional for fsockopen calls
ssl non-functional for fsockopen calls
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 20:37 EDT by Sean
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.8-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 06:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean 2004-08-25 20:37:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
believe to be an introduced bug by compiling of openssl into php as a
shared module instead of statically. unable to use ssl protocol with
fsockopen calls. 

Version-Release number of selected component (if applicable):
php-4.3.8-4

How reproducible:
Always

Steps to Reproduce:
test code:
<?
//$fp=fsockopen("www.yahoo.com",80);
$fp=fsockopen("ssl://mail.yahoo.com",443);
$out="GET / HTTP/1.1\r\n";
$out .="Host: www.yahoo.com\r\n";
$out .="Connection: Close\r\n\r\n";

fwrite($fp,$out);

while (!feof($fp)) {
   echo fgets($fp,128);
}
fclose($fp);
?>

    

Actual Results:  <br />
<b>Warning</b>:  fsockopen(): no SSL support in this build in
<b>/root/x.php</b> on line <b>3</b><br />
<br />

Expected Results:  webpage for https://mail.yahoo.com

Additional info:

was working in previous fedora versions while broken in RHE.
now works in RHE and broken in fedora
related bug postings:
http://pear.php.net/bugs/bug.php?id=1498
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=124582

documentation/comments on php website suggest openssl needs to be
statically compiled. 
will test as time permits.
Comment 1 Joe Orton 2004-08-26 06:02:43 EDT
Thanks for the report, fixed in 4.3.8-7.

Note You need to log in before you can comment on or make changes to this bug.